import { DOMAttributes, memo } from "react";
import type { FC, ReactNode } from "react";

import resets from "../../_resets.module.css";
import { Checkbox_Property1WithoutLabel } from "../Checkbox_Property1WithoutLabel/Checkbox_Property1WithoutLabel";
import { Keyboard_arrow_down } from "../Keyboard_arrow_down/Keyboard_arrow_down";
import { Point2 } from "../Point2/Point2";
import classes from "./_OffSelected.module.css";
import { Rectangle295Icon } from "./Rectangle295Icon.js";

type Props = {
  className?: string;
  text?: {
    normal?: ReactNode;
  };
} & DOMAttributes<Element>;
/* @figmaId 5401:45205 */
export const _OffSelected: FC<Props> = memo(function _OffSelected(props = {}) {
  return (
    <div
      className={`${resets.storybrainResets} ${classes.root}`}
      onClick={props.onClick}
    >
      <div className={classes.frame681}>
        <div className={classes.frame680}>
          {props.text?.normal != null ? (
            props.text?.normal
          ) : (
            <div className={classes.normal}>item</div>
          )}
        </div>
      </div>
      <div className={classes.rectangle295}>
        <Rectangle295Icon className={classes.icon} />
      </div>
    </div>
  );
});
